import { configureStore } from '@reduxjs/toolkit';
import mainSlice from './main';

export const store = configureStore({
  reducer: { main: mainSlice.reducer },
});

export const AppActions = { ...mainSlice.actions };

// Infer the `RootState` and `AppDispatch` types from the store itself
export type RootState = ReturnType<typeof store.getState>;
// Inferred type: {posts: PostsState, comments: CommentsState, users: UsersState}
export type AppDispatch = typeof store.dispatch;
